package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFEJ1Response {

    @Parameter(name = "CLEARING_CODE")
    String clearingCode();

    @Parameter(name = "PAD_BOTTOMROW")
    String padBottomrow();

    @Parameter(name = "PAD_MIDDLEROW")
    String padMiddlerow();

    @Parameter(name = "PAD_TOPROW")
    String padToprow();

    @Parameter(name = "SCORE_INSTANCE")
    Long scoreInstance();

    @Parameter(name = "SRC_ADR_INSTANCE_ID")
    String srcAdrInstanceId();

    @Parameter(name = "STD_ADDRESS_ID")
    String stdAddressId();

    @Parameter(name = "STD_CITY")
    String stdCity();

    @Parameter(name = "STD_CITY_DISTRICT")
    String stdCityDistrict();

    @Parameter(name = "STD_COUNTRY_CODE")
    String stdCountryCode();

    @Parameter(name = "STD_LRN")
    String stdLrn();

    @Parameter(name = "STD_POST_OFFICE")
    String stdPostOffice();

    @Parameter(name = "STD_REGION")
    String stdRegion();

    @Parameter(name = "STD_SN")
    String stdSn();

    @Parameter(name = "STD_STREET")
    String stdStreet();

    @Parameter(name = "STD_ZIP")
    String stdZip();

}